Package org.apache.sling.scripting.sightly.impl.engine.extension

# Class FormatFilterExtension

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.extension.FormatFilterExtension

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.extension.RuntimeExtension`

public class FormatFilterExtension extends Object implements org.apache.sling.scripting.sightly.extension.RuntimeExtension

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DATE_FORMAT_TYPE`
`protected static final String`
`FORMAT_OPTION`
`protected boolean`
`hasIcuSupport`
`protected static final String`
`LOCALE_OPTION`
`protected static final String`
`NUMBER_FORMAT_TYPE`
`protected static final String`
`STRING_FORMAT_TYPE`
`protected static final String`
`TIMEZONE_OPTION`
`protected static final String`
`TYPE_OPTION`

### Fields inherited from interface org.apache.sling.scripting.sightly.extension.RuntimeExtension

`FORMAT, I18N, INCLUDE, JOIN, NAME, RESOURCE, URI_MANIPULATION, USE, XSS`

## Constructor Summary

Constructors
Constructor
Description
`FormatFilterExtension()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(org.apache.sling.scripting.sightly.render.RenderContext renderContext, Object... arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FORMAT_OPTION

protected static final String FORMAT_OPTION

See Also:
  - Constant Field Values

### TYPE_OPTION

protected static final String TYPE_OPTION

See Also:
  - Constant Field Values

### LOCALE_OPTION

protected static final String LOCALE_OPTION

See Also:
  - Constant Field Values

### TIMEZONE_OPTION

protected static final String TIMEZONE_OPTION

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE

protected static final String DATE_FORMAT_TYPE

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE

protected static final String NUMBER_FORMAT_TYPE

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE

protected static final String STRING_FORMAT_TYPE

See Also:
  - Constant Field Values

### hasIcuSupport

protected boolean hasIcuSupport

## Constructor Details

### FormatFilterExtension

public FormatFilterExtension()

## Method Details

### call

public Object call(org.apache.sling.scripting.sightly.render.RenderContext renderContext, Object... arguments)

Specified by:
  `call` in interface `org.apache.sling.scripting.sightly.extension.RuntimeExtension`